<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="top.iletter.modules.baitutools.dao.DlRenewalRemindDao">

    <resultMap type="top.iletter.modules.baitutools.entity.DlRenewalRemindEntity" id="dlRenewalRemindMap">
        <result property="id" column="id"/>
        <result property="provider" column="provider"/>
        <result property="name" column="name"/>
        <result property="remark" column="remark"/>
        <result property="otherInfo" column="other_info"/>
        <result property="renewalType" column="renewal_type"/>
        <result property="renewalDate" column="renewal_date"/>
        <result property="expireTime" column="expire_time"/>
        <result property="mark1" column="mark1"/>
        <result property="mark2" column="mark2"/>
        <result property="mark3" column="mark3"/>
        <result property="createDate" column="create_date"/>
        <result property="createUser" column="create_user"/>
        <result property="updateDate" column="update_date"/>
        <result property="updateUser" column="update_user"/>
    </resultMap>
    <!-- 获取分页查询   -->
    <select id="getList" resultType="top.iletter.modules.baitutools.entity.DlRenewalRemindEntity">
        SELECT * FROM dl_renewal_remind
        <where>
            <if test="keywordName != null and keywordName.trim() != ''">
                AND locate(#{keywordName} , `name` )
            </if>
        </where>
    </select>

</mapper>